Description

My host has a BMC proxy assigned that's giving out a Ruby error response in HTML along the lines of:

LoadError at /bmc/10.1.1.1/chassis/power/status

no such file to load -- rubyipmi

 When I'm viewing the host page in Foreman, the BMC tab is rendering the full HTML response from the proxy inline.  Since the proxy

error response contains CSS too, this is creating a huge mess of the Foreman UI.

Foreman probably shouldn't pass HTML errors along to the browser when the proxy fails.

Associated revisions

Revision a933fc25 - 06/13/2013 09:14 AM - Marek Hulán

Fixes #2619 - don't display full output from proxy

Proxy output is logged alongside with backtrace of exception. We display

only exception message in UI.

Revision 70f272e0 - 06/14/2013 10:29 AM - Marek Hulán

Fixes #2619 - don't display full output from proxy

Proxy output is logged alongside with backtrace of exception. We display

only exception message in UI.

(cherry picked from commit a933fc25b6374cf02685b5499f422ae97dec79f7)

History

#1 - 06/06/2013 05:57 AM - Lukas Zapletal

I found similar: http://projects.theforeman.org/issues/2622

#2 - 06/07/2013 08:50 AM - Marek Hulán

- Assignee set to Marek Hulán

So the solution in here would be to either

remove html or css from output

wrap in < pre >...< /pre >

put it into iframe so css does not conflict (this one would preserver original look)

comments? thoughts? other suggestions?

#3 - 06/12/2013 06:49 AM - Dominic Cleal

I'd vote for (2), wrap it in pre.

#4 - 06/12/2013 07:44 AM - Marek Hulán
http://projects.theforeman.org/issues/2622


- Status changed from New to Ready For Testing

That would generate a lot of html code, backtrace was in table, here's a patch we agreed, just display exception message (e.g. 500 Internal server

error)

https://github.com/theforeman/foreman/pull/713

#5 - 06/13/2013 09:17 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a933fc25b6374cf02685b5499f422ae97dec79f7.
